## mstflint 4.26.0%2B1

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

pname := mstflint
pdkms := $(pname)-dkms
dkms_pkg := $(pname)-$(pversion)

%:
	dh $@ --with autoreconf,dkms

override_dh_auto_clean:
	if [ -f config/compile ]; then dh_auto_clean; fi
	if [ -d debian/saved ]; then \
		mv -v debian/saved/tools_git_sha .; \
		rmdir debian/saved; \
	fi

override_dh_clean:
	dh_clean
	find . -name '*.o' -o -name '*.a' -o -name '*.so' -o -name '*.lo' \
		-o -name '*.d' -o -name '*.la' \
	| xargs -r rm -f
	find . -name .libs | xargs -r rm -rf
	# Skip ext_libs/
	@for Makefile in `find . -name Makefile`; do \
	  if [ ! -e $$Makefile.in ] && \
	     [ $$Makefile != "./kernel/Makefile" ]; then \
		rm -fv $$Makefile; \
	  fi; \
	done

override_dh_auto_configure:
	if [ ! -d debian/saved ]; then \
		mkdir -p debian/saved; \
		cp -av tools_git_sha debian/saved/; \
	fi
	dh_auto_configure -- --enable-adb-generic-tools

override_dh_auto_install:
	dh_auto_install
	# Remove library for now. Needs to be properly packaged:
	rm -rf \
	  debian/tmp/usr/include \
	  debian/tmp/usr/lib/*/*.a \
	  debian/tmp/usr/lib/*/mstflint/*.a \
	  debian/tmp/usr/lib/*/mstflint/*.la \
	  debian/tmp/usr/lib/*/mstflint/*.so* \

	# Unused unless fw-mgr is enabled:
	rm -rf debian/tmp/usr/share/man/man1/mstarchive.1* \
	  debian/tmp/usr/share/man/man1/mstfwmanager.1*
	sed -e 's:@PKGVER@:$(DEB_VERSION):' < debian/$(pdkms).dkms.in > debian/$(pdkms).dkms
	make -C kernel DESTDIR=$(CURDIR)/debian/tmp install-dkms
