## mstflint 4.26.0+1

=== debian/changelog ===
mstflint (4.26.0+1-2ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:58:01 +1100

mstflint (4.26.0+1-2ubuntu2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:02:21 +0000

mstflint (4.26.0+1-2ubuntu1) noble; urgency=medium

  * Add mstflint-dkms package.

 -- dann frazier <dannf@ubuntu.com>  Wed, 28 Feb 2024 21:48:50 +0000

mstflint (4.26.0+1-2) unstable; urgency=medium

  * Add revert_runtime_test.patch: Fix cross-building
  * Remove architecture-dependent macros. Added:
    - 0001-Remove-unused-arch-dependent-define-U64L.patch
    - 0002-Remove-unused-arch-dependent-macros-from-packet_comm.patch
    - 0003-Avoid-all-arch-dependent-format-macros.patch

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 28 Jan 2024 17:22:17 +0200

mstflint (4.26.0+1-1) unstable; urgency=medium

  * New upstream release:
    - Removed 0001-Remove-date-and-time-from-version-string-to-ensure-r.patch
      (merged upstream).
    - Removed man-proper-header-line.patch (merged upstream).
    - Removed typos.patch (merged upstream).
  * Add remove_fwmgr_install.patch as a temporary workaround of upstream
    change.
  * Ignore generated files under debian/
  * Fix building twice in a row.

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 24 Jan 2024 10:52:47 +0200
