## mstflint 4.31.0+1

=== debian/changelog ===
mstflint (4.31.0+1-2) unstable; urgency=medium

  * Remove unused override
  * Standard version 4.7.2

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 30 Mar 2025 04:49:05 +0300

mstflint (4.31.0+1-1) unstable; urgency=medium

  * New upstream release.
    - Patches from upstream devel branch to fix build issues:
      dev_mgt-include-missing-function-declaration.patch
      fwctrl-fix-reg-status-typo.patch
      fwctrl-include-missing-function-declarations.patch
  * Update copyright

 -- Tzafrir Cohen <tzafrir@debian.org>  Tue, 04 Mar 2025 23:19:47 +0200
