=== debian/control ===
Source: mstflint
Section: net
Priority: optional
Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>,
           Tzafrir Cohen <tzafrir@debian.org>
Build-Depends: debhelper-compat (= 13),
               libboost-filesystem-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libexpat1-dev,
               libibmad-dev,
               libjsoncpp-dev,
               liblzma-dev,
               libmuparser-dev,
               libsqlite3-dev,
               libssl-dev,
               pkgconf,
               zlib1g-dev
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/hpc-team/mstflint.git
Vcs-Browser: https://salsa.debian.org/hpc-team/mstflint
Homepage: https://github.com/Mellanox/mstflint

Package: mstflint
Architecture: linux-any
Depends: libibmad5,
         python3,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Mellanox firmware burning application and diagnostics tools
 This package contains a burning tool and diagnostic tools for Mellanox
 manufactured host channel adapters (HCA) and network interface cards (NIC).
 .
 This burning tool should be used only with Mellanox-manufactured
 HCA/NIC cards. Using it with cards manufactured by other vendors may
 be harmful to the cards (due to different configurations). Using the
 diagnostic tools is normally safe for all HCAs/NICs.
