=== debian/changelog ===
mstflint (4.33.0+1-1) unstable; urgency=medium

  * New upstream release (Closes: #1097420).
    - Remove patches:
        - dev_mgt-include-missing-function-declaration.patch
        - fwctrl-fix-reg-status-typo.patch
        - fwctrl-include-missing-function-declarations.patch
        - kernel_fallthrough.patch
        - kernel_ioremap_check_null.patch
        - kernel_statify.patch
  * Note that fwctl is supported

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 17 Sep 2025 07:08:47 +0300

mstflint (4.31.0+1-4) unstable; urgency=medium

  * Add autopkgtest for dkms module only
  * Note that fwctl is not yet supported

 -- Tzafrir Cohen <tzafrir@debian.org>  Wed, 09 Apr 2025 22:06:31 +0300

mstflint (4.31.0+1-3) unstable; urgency=medium

  * Add dkms subpackage
  * Add 3 fixes to the kernel code:
    - kernel_fallthrough.patch
    - kernel_ioremap_check_null.patch
    - kernel_statify.patch
  * rules: Keep kernel/Makefile, that is manually-generated

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 06 Apr 2025 08:08:44 +0300
