=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>,
            Tzafrir Cohen <tzafrir@debian.org>
 Build-Depends: debhelper-compat (= 13),
+	       dh-sequence-dkms,
                libboost-filesystem-dev,
                libboost-regex-dev,
                libboost-system-dev,
@@ -30,10 +31,31 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Description: Mellanox firmware burning application and diagnostics tools
- This package contains a burning tool and diagnostic tools for Mellanox
- manufactured host channel adapters (HCA) and network interface cards (NIC).
+ This package contains a burning tool and diagnostic tools for Nvidia
+ (formly Mellanox) manufactured host channel adapters (HCA) and network
+ interface cards (NIC).
  .
  This burning tool should be used only with Mellanox-manufactured
  HCA/NIC cards. Using it with cards manufactured by other vendors may
  be harmful to the cards (due to different configurations). Using the
  diagnostic tools is normally safe for all HCAs/NICs.
+ .
+ For some extra functionality, or for systems with kernel < 6.15,
+ the out-of-tree kernel module mstflint_access is needed.
+ It is included e.g. through the package mstflint-dkms.
+ .
+ The kernel-space part of the code is the out-of-tree module mstflint_access
+ that you may get by installing mstflint-dkms.
+
+Package: mstflint-dkms
+Architecture: all
+Section: kernel
+Depends: ${misc:Depends},
+Enhances: mstlint
+Description: kernel module for Nvidia (formly Mellanox) firmware buring tool
+ mstflint contains a burning tool and diagnostic tools for Nvidia (formly
+ Mellanox) manufactured host channel adapters (HCA) and network interface
+ cards (NIC).
+ .
+ This package contains the kernel module mstflint_access in a DKMS package
+ (source built at install time using the DKMS framework).
