=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/pkg-info.mk
+export DEB_VERSION_UPSTREAM
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -20,6 +23,7 @@
 	find . -name .libs | xargs -r rm -rf
 	# Skip ext_libs/
 	@for Makefile in `find . -name Makefile`; do \
+	  if [ $$Makefile = ./kernel/Makefile ]; then continue; fi; \
 	  if [ ! -e $$Makefile.in ]; then \
 		rm -fv $$Makefile; \
 	  fi; \
@@ -45,3 +49,7 @@
 	# Unused unless fw-mgr is enabled:
 	rm -rf debian/mstflint/usr/share/man/man1/mstarchive.1* \
 	  debian/mstflint/usr/share/man/man1/mstfwmanager.1*
+	make -C kernel DESTDIR=$(CURDIR)/debian/tmp install-dkms DKMS_SRC_DIR=/usr/src/mstflint-$(DEB_VERSION_UPSTREAM)
+
+override_dh_dkms:
+	dh_dkms -V $(DEB_VERSION_UPSTREAM)
