=== debian/tests/control ===
Tests: dkms
Architecture: !i386
Depends:
 mstflint-dkms,
 openssl,
 linux-headers-generic
 | linux-headers-rpi [armel]
# Superficial: only tests module code build.
# There is no test of the larger part of the code,
# userspace code - that requires real hardware.
Restrictions:
 superficial,
 allow-stderr,
 needs-root,
 breaks-testbed,
