=== debian/watch ===
version=4
opts="uversionmangle=s/-/+/" \
https://github.com/Mellanox/mstflint/releases (?:.*?/)?mstflint-(.*)\.(?:tar.gz|tar.bz2|tar.xz) \
debian uupdate
